pluginManagement {
    repositories {
        mavenLocal()
        mavenCentral {
            metadataSources {
                mavenPom()
                artifact()
                ignoreGradleMetadataRedirection()
            }
        }
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    versionCatalogs {
        libs {
            version('gradle', '8.4')
            version('groovy', '4.0.12')
            version('junit', '5.10.0')
            version('net', '4.0.0')
            library('junit-jupiter-api', 'org.junit.jupiter', 'junit-jupiter-api').versionRef('junit')
            library('junit-jupiter-params', 'org.junit.jupiter', 'junit-jupiter-params').versionRef('junit')
            library('junit-jupiter-engine', 'org.junit.jupiter', 'junit-jupiter-engine').versionRef('junit')
            library('junit-vintage-engine', 'org.junit.vintage', 'junit-vintage-engine').versionRef('junit')
            library('hamcrest', 'org.hamcrest', 'hamcrest-library').version('2.2')
            library('junit4', 'junit', 'junit').version('4.13.2')
            library('net-security', 'org.xbib', 'net-security').versionRef('net')
            library('mockftpserver', 'org.mockftpserver', 'MockFtpServer').version('2.7.1')
            library('mockito-core', 'org.mockito', 'mockito-core').version('5.6.0')
            library('mockito-junit-jupiter', 'org.mockito', 'mockito-junit-jupiter').version('5.6.0')
        }
    }
}

include 'files-api'
include 'files-zlib'
include 'files-ftp'
include 'files-ftp-fs'
include 'files-sftp'
include 'files-sftp-fs'
include 'files-webdav'
include 'files-webdav-fs'
